Adding time to an issue where a custom field regexp doesn't match adds the time spent twice
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.0.3

Description

Adding time to an new issue where a custom field regexp (emailadress) doesn't match,

adds the time spent twice, when you correct the missing data in the "custom field" and resubmit the issue.

Associated revisions

Revision 10621 - 2012-10-12 23:30 - Jean-Philippe Lang

Test that spent time should not be added when issue update fails (#11283).

History

#1 - 2012-06-28 10:04 - Jean-Philippe Lang

Adding time to an new issue

 How do you do that? AFAIK, there's no way to enter a spent time when creating a new issue.

#2 - 2012-06-28 10:09 - Jean-Philippe Lang

- Resolution set to Cant reproduce

And I can't reproduce when adding time to an existing issue.

#3 - 2012-07-03 14:42 - Sepp _

I was wrong, this was just the second step after creating the issue.

I just tried it a second time after upgrading to 2.0.3.

To reproduce:

Set ^[a-zA-Z0-9][\w\.-]*(?:[a-zA-Z0-9][a-zA-Z0-9_-]+\.)+[A-Za-z]{2,5};?.*$ as a Custom Field-Rexexp for validating Emailadresses

Create a new issue

Update the issue with a wrong emailadress and add hours to it.

correct the emailadress and submit again: --> The hours are added twice.

#4 - 2012-10-12 23:31 - Jean-Philippe Lang

I still can't reproduce with 2.1 by following these steps, hours are saved only after the valid update.

I have also added a test in r10621 to make sure that spent time is not added when validation fails.

#5 - 2016-08-21 08:18 - Go MAEDA

- Category set to Time tracking

- Status changed from New to Closed

No feedback for years. Closing.
